OutputPortResource
RESTful endpoint for managing an Output Port.
The following resources are applicable:
- /controller/process-groups/{process-group-id}/output-ports
- /controller/process-groups/{process-group-id}/output-ports/{id}
/controller/process-groups/{process-group-id}/output-ports
Mount Point: /rest/controller/process-groups/{process-group-id}/output-ports
The following operations are supported on this resource:
GET
Retrieves all the of output ports in this NiFi.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | outputPortsEntity |
| media types: | application/xml application/json |
A outputPortsEntity.
POST
Creates a new output port.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | form | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | form | |
| x | The x coordinate for this funnels position. | form | |
| y | The y coordinate for this funnels position. | form | |
| name | The output ports name. | form | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | outputPortEntity |
| media types: | application/xml application/json |
An outputPortEntity.
POST
Creates a new output port.
Parameters
| name | description | type | default |
|---|---|---|---|
| process-group-id | (no documentation provided) | path |
Request Body
| element: | outputPortEntity |
| media types: | application/xml application/json |
A outputPortEntity.
Response Body
| element: | outputPortEntity |
| media types: | application/xml application/json |
A outputPortEntity.
/controller/process-groups/{process-group-id}/output-ports/{id}
Mount Point: /rest/controller/process-groups/{process-group-id}/output-ports/{id}
The following operations are supported on this resource:
GET
Retrieves the specified output port.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the output port to retrieve | path | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | outputPortEntity |
| media types: | application/xml application/json |
A outputPortEntity.
PUT
Updates the specified output port.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | form | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | form | |
| id | The id of the output port to update. | path | |
| x | The x coordinate for this output ports position. | form | |
| y | The y coordinate for this output ports position. | form | |
| comments | Any comments about this output port. | form | |
| groupAccessControl[] | The allowed groups for this output port. | form | |
| userAccessControl[] | The allowed users for this output port. | form | |
| name | The output ports name. | form | |
| state | The state of this port. | form | |
| concurrentlySchedulableTaskCount | The number of concurrently schedulable tasks. | form | |
| process-group-id | (no documentation provided) | path |
Request Body
| element: | formParams |
| media types: | application/x-www-form-urlencoded |
(no documentation provided)
Response Body
| element: | outputPortEntity |
| media types: | application/xml application/json |
A outputPortEntity.
PUT
Updates the specified output port.
Parameters
| name | description | type | default |
|---|---|---|---|
| id | The id of the output port to update. | path | |
| process-group-id | (no documentation provided) | path |
Request Body
| element: | outputPortEntity |
| media types: | application/xml application/json |
A outputPortEntity.
Response Body
| element: | outputPortEntity |
| media types: | application/xml application/json |
A outputPortEntity.
DELETE
Removes the specified output port.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | query | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the output port to remove. | path | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | outputPortEntity |
| media types: | application/xml application/json |
A outputPortEntity.